Subject: bug#18266: Bug#758105: bug#18266: grep -P and invalid exits with error

From: Paul Eggert <[email-masked]>
Date: Thu, 14 Aug 2014 14:33:36 -0700

Vincent Lefevre wrote:
> On input, using null bytes may be better if one wants to be able to
> match real replacement characters without false positives.

Maybe, though this is no place to get fancy.  It's simple to tell users 
"an invalid byte acts like '?'".  Simple is good.

Anyway, this is a matter for the implementing volunteer to decide, 
whoever that happens to be.